Bug 8287

Summary: Improve filter on checked out from overdues
Product: Koha Reporter: Nicole C. Engard <nengard>
Component: CirculationAssignee: Jonathan Druart <jonathan.druart>
Status: RESOLVED FIXED QA Contact:
Severity: minor    
Priority: P5 - low CC: andrew, caroline.cyr-la-rose, fridolin.somers, gmcharlt, jonathan.druart, katrin.fischer, kyle.m.hall, victor
Version: masterKeywords: Manual
Hardware: All   
OS: All   
URL: /cgi-bin/koha/circ/overdue.pl
Change sponsored?: --- Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09
Attachments: Bug 8287: Improve "show checked out items" filter on the overdues report
Bug 8287: Improve "show checked out items" filter on the overdues report
Bug 8287: Improve "show checked out items" filter on the overdues report

Description Nicole C. Engard 2012-06-21 17:57:46 UTC
On the Overdues report there is a filter for "Show any items currently checked out:" ... but everything that is overdue should be checked out - so what does this do? If it does nothing then it should be removed. If it does something please tell me and I'll update the manual and we can close this.


Chat:

[13:45]  <nengard> question about overdue report
[13:45]  <nengard> can anyone tell me on this page: /cgi-bin/koha/circ/overdue.pl what does "Show any items currently checked out:" do?
[13:45]  <nengard> it's one of the filters on the left
[13:47]  <cait> not sure actually :(
[13:47]  <cait> shouldn't they all be checked out?
[13:47]  <nengard> right
[13:47]  <nengard> hence my confusion
[13:52]  <cait> no idea
[13:54]  <nengard> HA
[13:54]  <nengard> anyone else? should we remove it if it doesn't do anything?
Comment 1 Owen Leonard 2012-06-21 18:19:38 UTC
Here's the SQL for what is run without the box checked:

SELECT date_due, borrowers.title as borrowertitle, borrowers.surname, borrowers.firstname, borrowers.streetnumber, borrowers.streettype, borrowers.address, borrowers.address2, borrowers.city, borrowers.zipcode, borrowers.country, borrowers.phone, borrowers.email, issues.itemnumber, issues.issuedate, items.barcode, biblio.title, biblio.author, borrowers.borrowernumber, biblio.biblionumber, borrowers.branchcode, items.itemcallnumber, items.replacementprice, items.enumchron FROM issues LEFT JOIN borrowers ON (issues.borrowernumber=borrowers.borrowernumber ) LEFT JOIN items ON (issues.itemnumber=items.itemnumber) LEFT JOIN biblioitems ON (biblioitems.biblioitemnumber=items.biblioitemnumber) LEFT JOIN biblio ON (biblio.biblionumber=items.biblionumber ) WHERE 1=1 AND date_due < '2012-06-21 14:16' ORDER BY date_due, surname, firstname 

Here's the SQL with the box checked:

SELECT date_due, borrowers.title as borrowertitle, borrowers.surname, borrowers.firstname, borrowers.streetnumber, borrowers.streettype, borrowers.address, borrowers.address2, borrowers.city, borrowers.zipcode, borrowers.country, borrowers.phone, borrowers.email, issues.itemnumber, issues.issuedate, items.barcode, biblio.title, biblio.author, borrowers.borrowernumber, biblio.biblionumber, borrowers.branchcode, items.itemcallnumber, items.replacementprice, items.enumchron FROM issues LEFT JOIN borrowers ON (issues.borrowernumber=borrowers.borrowernumber ) LEFT JOIN items ON (issues.itemnumber=items.itemnumber) LEFT JOIN biblioitems ON (biblioitems.biblioitemnumber=items.biblioitemnumber) LEFT JOIN biblio ON (biblio.biblionumber=items.biblionumber ) WHERE 1=1 ORDER BY date_due, surname, firstname

Checking the box removes the limit on date_due.
Comment 2 Nicole C. Engard 2012-10-21 13:37:59 UTC
So, then maybe that box needs to say "Ignore Due-Date filter above" instead - or something more accurate.

Nicole
Comment 3 Owen Leonard 2013-08-08 16:36:17 UTC
(In reply to Nicole C. Engard from comment #2)
> So, then maybe that box needs to say "Ignore Due-Date filter above" instead
> - or something more accurate.

The checkbox basically switches this from a report of overdues to a report of checkouts. "Show all checkouts regardless of date due" might be more accurate? It's a strange feature to include in a report for showing overdues.

If you check the box the title of the report really should change to reflect that it's showing more than just overdues.
Comment 4 Jonathan Druart 2015-03-31 14:01:23 UTC
What could be a correct wording for the checkbox label and the page/report title?
Comment 5 Katrin Fischer 2015-05-24 22:26:16 UTC
Hm, what about:

- move the filter below the due date filter box
- "grey out" or deactivate due date filter visibly, whenever the checkbox is checked

?
Comment 6 Jonathan Druart 2020-12-16 14:32:44 UTC
Created attachment 114438 [details] [review]
Bug 8287: Improve "show checked out items" filter on the overdues report

The "Show any items currently checked out" was confusing, especially if
the "From" and "To" due date filters were passed.

This patch moves the checkbox close to the 2 other filters and show/hide
the due date filters when needed.

Test plan:
0. Have some overdue
1. Search for overdues
2. Confirm that the filters are shown/hidden depending on the status of
the checkbox
3. Fill "To" with a date, tick the checkbox, submit the form
=> Confirm that the date was not taken into account
Comment 7 Owen Leonard 2021-01-19 15:31:52 UTC
Created attachment 115335 [details] [review]
Bug 8287: Improve "show checked out items" filter on the overdues report

The "Show any items currently checked out" was confusing, especially if
the "From" and "To" due date filters were passed.

This patch moves the checkbox close to the 2 other filters and show/hide
the due date filters when needed.

Test plan:
0. Have some overdue
1. Search for overdues
2. Confirm that the filters are shown/hidden depending on the status of
the checkbox
3. Fill "To" with a date, tick the checkbox, submit the form
=> Confirm that the date was not taken into account

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 8 Katrin Fischer 2021-02-14 15:49:31 UTC
Created attachment 116868 [details] [review]
Bug 8287: Improve "show checked out items" filter on the overdues report

The "Show any items currently checked out" was confusing, especially if
the "From" and "To" due date filters were passed.

This patch moves the checkbox close to the 2 other filters and show/hide
the due date filters when needed.

Test plan:
0. Have some overdue
1. Search for overdues
2. Confirm that the filters are shown/hidden depending on the status of
the checkbox
3. Fill "To" with a date, tick the checkbox, submit the form
=> Confirm that the date was not taken into account

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2021-02-14 15:50:16 UTC
There is a bit much padding before and after the checkbox option. Maybe this could be improved a bit later. It appears to be a CSS issue.
Comment 10 Jonathan Druart 2021-02-15 11:08:18 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 11 Fridolin Somers 2021-02-19 15:29:12 UTC
Pushed to 20.11.x for 20.11.03
Comment 12 Andrew Fuerste-Henry 2021-02-23 13:07:40 UTC
Pushed to 20.05.x for 20.05.09
Comment 13 Victor Grousset/tuxayo 2021-02-23 17:19:28 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.